## org.codehaus.groovy.grails.plugins.web.taglib
Class CountryTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.CountryTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class CountryTagLib

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`CountryTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static Object` `getCOUNTRY_CODES_BY_NAME_ORDER()`
`static Object` `getCOUNTRY_CODES_BY_NAME()`
`Object` `getCountry()`
`Object` `getCountrySelect()`
`static Object` `getISO3166_3()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setCountry(Object value)`
`void` `setCountrySelect(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountryTagLib

    public CountryTagLib()

Method Detail

### getISO3166_3

    public static Object getISO3166_3()

### getCOUNTRY_CODES_BY_NAME_ORDER

    public static Object getCOUNTRY_CODES_BY_NAME_ORDER()

### getCOUNTRY_CODES_BY_NAME

    public static Object getCOUNTRY_CODES_BY_NAME()

### getCountrySelect

    public Object getCountrySelect()

### setCountrySelect

    public void setCountrySelect(Object value)

### getCountry

    public Object getCountry()

### setCountry

    public void setCountry(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project